package com.factory.entity.vo.req.pad;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @program: intelligentfactory
 * @description:
 * @author: dl
 * @create: 07月01日 12时
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class workDetailsReq {
    @ApiModelProperty(value = "版本id")
    private Long versionId;

    @ApiModelProperty(value = "生产线")
    private String productionLine;

    @ApiModelProperty(value = "工作站")
    private String workstation;

    @ApiModelProperty(value = "1首件 2两百 3防错")
    private Integer checkType;
}
